Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text
Class Meta

    java.lang.Object
      com.lowagie.text.Meta

All Implemented Interfaces:
  Element

Direct Known Subclasses:
  Header

    public class Meta

extends Object
implements Element

This is an `Element` that contains some meta information about the document.

An object of type `Meta` can not be constructed by the user. Userdefined meta information should be placed in a `Header`-object. `Meta` is reserved for: Subject, Keywords, Author, Title, Producer and Creationdate information.

See Also:
  `Element`, `Header`

Field Summary
`private StringBuffer` | `content` This is the content of the Meta-information.
`private int` | `type` This is the type of Meta-information this object contains.

Fields inherited from interface com.lowagie.text.Element
`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, HEADER, IMGRAW, IMGTEMPLATE, JPEG, JPEG2000, KEYWORDS, LIST, LISTITEM, MARKED, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE`

Constructor Summary
`Meta(int type, String content)` Constructs a `Meta`.
`Meta(String tag, String content)` Constructs a `Meta`.

Method Summary
`StringBuffer` | `append(String string)` appends some text to this `Meta`.
`String` | `content()` Deprecated. As of iText 2.0.3, replaced by `getContent()`, scheduled for removal at 2.1.0
`ArrayList` | `getChunks()` Gets all the chunks in this element.
`String` | `getContent()` Returns the content of the meta information.
`String` | `getName()` Returns the name of the meta information.
`static int` | `getType(String tag)` Returns the name of the meta information.
`String` | `name()` Deprecated. As of iText 2.0.3, replaced by `getName()`, scheduled for removal at 2.1.0
`boolean` | `process(ElementListener listener)` Processes the element by adding it (or the different parts) to a `ElementListener`.
`int` | `type()` Gets the type of the text element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.lowagie.text.Element
`toString`

Field Detail

### type

    private int type

  This is the type of Meta-information this object contains.

### content

    private StringBuffer content

  This is the content of the Meta-information.

Constructor Detail

### Meta

    Meta(int type,
         String content)

  Constructs a `Meta`.

  Parameters:
    `type` - the type of meta-information
    `content` - the content

### Meta

    public Meta(String tag,
                String content)

  Constructs a `Meta`.

  Parameters:
    `tag` - the tagname of the meta-information
    `content` - the content

Method Detail

### process

    public boolean process(ElementListener listener)

  Processes the element by adding it (or the different parts) to a `ElementListener`.

  Specified by:
    `process` in interface `Element`
  Parameters:
    `listener` - the `ElementListener`
  Returns:
    `true` if the element was processed successfully

### type

    public int type()

  Gets the type of the text element.

  Specified by:
    `type` in interface `Element`
  Returns:
    a type

### getChunks

    public ArrayList getChunks()

  Gets all the chunks in this element.

  Specified by:
    `getChunks` in interface `Element`
  Returns:
    an `ArrayList`

### append

    public StringBuffer append(String string)

  appends some text to this `Meta`.

  Parameters:
    `string` - a `String`
  Returns:
    a `StringBuffer`

### getContent

    public String getContent()

  Returns the content of the meta information.

  Returns:
    a `String`

### getName

    public String getName()

  Returns the name of the meta information.

  Returns:
    a `String`

### getType

    public static int getType(String tag)

  Returns the name of the meta information.

  Parameters:
    `tag` - iText tag for meta information
  Returns:
    the Element value corresponding with the given tag

### name

    public String name()

  Deprecated. As of iText 2.0.3, replaced by `getName()`, scheduled for removal at 2.1.0

  Returns the name of the meta information.

  Returns:
    a `String`

### content

    public String content()

  Deprecated. As of iText 2.0.3, replaced by `getContent()`, scheduled for removal at 2.1.0

  Returns the content of the meta information.

  Returns:
    a `String`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD